Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queries.function.docvalues
Class BoolDocValues

    java.lang.Object
      org.apache.lucene.queries.function.FunctionValues
          org.apache.lucene.queries.function.docvalues.BoolDocValues

    public abstract class BoolDocValues

extends FunctionValues

Abstract `FunctionValues` implementation which supports retrieving boolean values. Implementations can control how the boolean values are loaded through `boolVal(int)`}

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.queries.function.FunctionValues
`FunctionValues.ValueFiller`

Field Summary
`protected ValueSource` | `vs`

Constructor Summary
`BoolDocValues(ValueSource vs)`

Method Summary
`abstract boolean` | `boolVal(int doc)`
`byte` | `byteVal(int doc)`
`double` | `doubleVal(int doc)`
`float` | `floatVal(int doc)`
`FunctionValues.ValueFiller` | `getValueFiller()`
`int` | `intVal(int doc)`
`long` | `longVal(int doc)`
`Object` | `objectVal(int doc)` Native Java Object representation of the value
`short` | `shortVal(int doc)`
`String` | `strVal(int doc)`
`String` | `toString(int doc)`

Methods inherited from class org.apache.lucene.queries.function.FunctionValues
`bytesVal, byteVal, doubleVal, exists, explain, floatVal, getRangeScorer, getScorer, intVal, longVal, numOrd, ordVal, shortVal, strVal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### vs

    protected final ValueSource vs

Constructor Detail

### BoolDocValues

    public BoolDocValues(ValueSource vs)

Method Detail

### boolVal

    public abstract boolean boolVal(int doc)

  Overrides:
    `boolVal` in class `FunctionValues`

### byteVal

    public byte byteVal(int doc)

  Overrides:
    `byteVal` in class `FunctionValues`

### shortVal

    public short shortVal(int doc)

  Overrides:
    `shortVal` in class `FunctionValues`

### floatVal

    public float floatVal(int doc)

  Overrides:
    `floatVal` in class `FunctionValues`

### intVal

    public int intVal(int doc)

  Overrides:
    `intVal` in class `FunctionValues`

### longVal

    public long longVal(int doc)

  Overrides:
    `longVal` in class `FunctionValues`

### doubleVal

    public double doubleVal(int doc)

  Overrides:
    `doubleVal` in class `FunctionValues`

### strVal

    public String strVal(int doc)

  Overrides:
    `strVal` in class `FunctionValues`

### objectVal

    public Object objectVal(int doc)

  Description copied from class: `FunctionValues`
  Native Java Object representation of the value

  Overrides:
    `objectVal` in class `FunctionValues`

### toString

    public String toString(int doc)

  Specified by:
    `toString` in class `FunctionValues`

### getValueFiller

    public FunctionValues.ValueFiller getValueFiller()

  Overrides:
    `getValueFiller` in class `FunctionValues`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.